Bug 197105 - postfix does not listen on ipv6 interfaces by default
Summary: postfix does not listen on ipv6 interfaces by default
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-06-28 15:36 UTC by Dennis Gilmore
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 14:36:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2006-06-28 15:36:18 UTC
Description of problem:
 
postfix has a configuration option to turn on ipv6 support.  with the push for 
supporting ipv6  this  should be enabled by default
from http://www.postfix.org/IPV6_README.html

/etc/postfix/main.cf:
    # You must stop/start Postfix after changing this parameter.
    inet_protocols = ipv4       (DEFAULT: enable IPv4 only)
    inet_protocols = all        (enable IPv4, and IPv6 if supported)
    inet_protocols = ipv4, ipv6 (enable both IPv4 and IPv6)
    inet_protocols = ipv6       (enable IPv6 only)

we currently don't have this in the config  it should be inet_protocols = all  
that way things wont break if the end user disables ipv6 support on their 
system

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dennis Gilmore 2007-07-10 00:53:56 UTC
ping Please fix this 

Comment 2 Thomas Woerner 2007-11-07 12:38:54 UTC
The problem with enabling IPv6 is that postfix will try to deliver emails over
IPv6 before trying over IPv4. In consequence this would be a noticeable slowdown
in mail delivery for most current systems, which are using IPv4 only.

Please enable IPv6 if you need it for your system with "postconf -e
inet_protocols=all" and restart postfix afterwards.

I am sorry, but I have to defer this for now.

Comment 3 David Woodhouse 2007-11-14 06:47:55 UTC
It shouldn't cause a noticeable slowdown at all. RFC3484 essentially says that
unless you have a global IPv6 address, you shouldn't be trying to connect to a
remote server by IPv6. And even if you do, the kernel will return failure
immediately if you have no route.

Please fix this bug.

Comment 4 Thomas Woerner 2007-11-29 14:36:44 UTC
IPv6 enabled in rawhide in package postfix-2.4.6-1.fc9.


Note You need to log in before you can comment on or make changes to this bug.